DEVICE_BIND_DRIVER(9)

NAME
device_bind_driver - bind a driver to one device.

SYNOPSIS

int device_bind_driver(struct device * dev);

ARGUMENTS

dev
    device.

DESCRIPTION

Allow manual attachment of a driver to a device. Caller must have already set dev->driver.

Note that this does not modify the bus reference count nor take the bus's rwsem. Please verify those are accounted for before calling this. (It is ok to call with no other effort from a driver's probe method.)

This function must be called with the device lock held.

COPYRIGHT